Subject: RE: Standard Track dependencies on Informational RFCs

From: Christian Huitema <[email-masked]>
Date: Wed, 30 Aug 2000 17:07:57 -0700

> > Normative references to stable non-standards track documents
> > are indeed allowed when those documents are of the nature of
> > algorithm descriptions, mathematical theorems, and the like -
> 
> there is no such topic-based dispensation in 2026 - the 
> section that Brian
> referres to needs to be read in conjunction with sec 4.2.4 pp 2
> 
> there is little issue with referring to standards from elsewhere
> (see sec 7) even if the standard is published as an info rfc but
> just because somone says that a info RFC has a particular type of 
> content does not mean that it gets any special treatment
> 
> this is not to say that we do not need to figure out how to
> deal with this type of case but I do not agree that Brian's 
> way is legit

Well, there may be a problem with the actual text in 2026, but there is
certainly not a problem with the intent behind our rules. The main problem
about references is that they be stable, i.e. they cannot be changed from
under us, and that they be widely available, preferably for free. An
informational RFC certainly meets these requirements.

---

From: Christian Huitema <[email-masked]>
Date: Thu, 31 Aug 2000 19:02:45 -0700

Scott,

You are right to point out that accepting reference to outside documents
should be somehow controlled. We have to be aware of IPR issues, have to
check the sanity of the document, etc. My contention, however, is that we
don't need a formal update of the IETF procedures to ensure that. Working
group review, IESG review, IETF last call provide us with ample
opportunities. The point is, it is perfectly OK to ask an editor to remove
reference [X] from a proposed standard because the review showed a problem
with the reference; the specific document status of reference [X] is much
less important. Let's be practical: we don't have to mimic the publication
procedures of other standard bodies, we just have to be rational and
consistent.

Note that we have much more control with references to info RFC than with
any other type of documents. The reason we needed a special clause for
references to external standard is that these standards often don't meet 2
important IETF criteria: they are not always available for free, and they
may evolve independently of the IETF control. 

By the way, this debate should move to poisson.

-- Christian Huitema

> -----Original Message-----
> From: Scott Bradner [mailto:[email-masked]]
> Sent: Thursday, August 31, 2000 5:43 PM
> To: [email-masked]; [email-masked]
> Subject: Re: Standard Track dependencies on Informational RFCs
> 
> 
> >         We have enough real technical issues to deal with in
> > the IETF.  It isn't constructive to create new non-technical
> > issues that we don't need to have, IMHO.
> 
> I do not much like the idea of establishing precedents that 
> can come back to
> hurt us - saying (as some have in this discussion) that its 
> OK to make a
> normative reference to an informational RFC as a principle is 
> a very bad
> precedent indeed - informational RFCs do not go through 
> public review and
> there is no way that all info RFCs are of the quality to be 
> made mandatory
> to accept in a standards track document.
> 
> People seem to be focusing on the specifics of the case at 
> hand and ignoring
> the fact that the words about normative references were put 
> into rfc 2026 by
> poisson for a very good reason.
> 
> Now there is a way to deal with the specific case at hand - 
> if the reference
> is to a RSA standard then the rules about referencing 
> external documents
> comes into play.  if a copy of that doc happens to be 
> published as an info
> RFC to make it more available then that is still fine.
> 
> But I sure do not think it's a good idea to go down the road 
> that many in
> this discussion seem to want to go down
> 
> Scott
>